<template>
  <div :class="['image-section', { reversed: data.position % 2 === 0 }]">
    <div class="info text--primary">
      <h2
        v-if="data.title"
        class="heading--lg heading--primary section-title"
        v-html="data.title"
      />
      <img class="mobile-image" :src="image" :alt="data.image_alt" />
      <div class="content" v-html="$utils.nlToBr(data.description)"></div>
      <a
        v-if="data.button_url && data.button_text"
        :href="data.button_url"
        :target="data.button_new_window == '1' ? '_blank' : '_self'"
        class="content-btn"
      >
        <AppButton>{{ btnText }}</AppButton>
      </a>
    </div>
    <div class="img-ctn">
      <span class="img-ctn-inner"></span
      ><img :src="`${image}`" :alt="data.image_alt" />
    </div>
  </div>
</template>

<script>
import AppButton from '~/components/ui/AppButton'

export default {
  components: {
    AppButton
  },
  props: {
    data: {
      type: Object,
      required: true
    }
  },
  computed: {
    image() {
      return `${this.$config.izneoUrl}/${this.$i18n.locale}/images/universe-page-block/${this.data.id}.jpg?v=${this.data.version}`
    },
    btnText() {
      return this.data.button_text
        ? this.data.button_text
        : this.$t('common.find_out_more')
    }
  }
}
</script>

<style lang="scss" scoped>
.image-section {
  display: flex;
  max-width: 1220px;
  margin: auto;
  margin-bottom: 36px;

  &.reversed {
    flex-direction: row-reverse;
  }

  .section-title {
    line-height: normal;
    margin-bottom: 1rem;
  }

  @media (max-width: 768px) {
    position: relative;
    flex-direction: column !important;
  }

  .info {
    flex: 1;
    padding: 2rem 70px;
    display: flex;
    flex-direction: column;
    justify-content: center;

    .mobile-image {
      display: none;
    }

    @media (max-width: 768px) {
      padding: 2rem 0;
      align-items: center;

      h2 {
        margin: 0 15px;
        line-height: normal;
      }

      .mobile-image {
        display: block;
        margin: 20px 0;
        width: 100%;
      }
    }

    .content {
      margin-bottom: 1rem;
      line-height: 1.7;
      text-align: justify;

      @media (max-width: 768px) {
        margin: 0px 15px 30px;
      }
    }

    .content-btn {
      @media (max-width: 767px) {
        margin: 0 15px;
        width: 100%;
        padding: 0 15px;
        text-align: center;
      }
    }

    ::v-deep .button {
      @media (max-width: 767px) {
        padding: 1.5rem 0;
      }
    }
  }

  .img-ctn {
    flex: 1;
    white-space: nowrap;

    @media (max-width: 768px) {
      display: none;
    }

    .img-ctn-inner {
      display: inline-block;
      vertical-align: middle;
      height: 100%;
    }

    img {
      vertical-align: middle;
    }
  }
}
</style>
